package com.bonus.canteen.core.order.deprecated.vo;

import java.util.List;

public class OfflineUploadResultVO {
   private Integer realAmount;
   private Integer accBal;
   private String payTypeName;
   private String macOrdId;
   private List<OfflineUploadDetailVO> uploadDetailList;

   public OfflineUploadResultVO(Integer realAmount, Integer accBal) {
      this.realAmount = realAmount;
      this.accBal = accBal;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public String getPayTypeName() {
      return this.payTypeName;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public List<OfflineUploadDetailVO> getUploadDetailList() {
      return this.uploadDetailList;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setPayTypeName(final String payTypeName) {
      this.payTypeName = payTypeName;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setUploadDetailList(final List<OfflineUploadDetailVO> uploadDetailList) {
      this.uploadDetailList = uploadDetailList;
   }

   public OfflineUploadResultVO() {
   }
}
